Menu

## FighterInterface
in

FighterInterface.php : 11

Interface for models that should be able to participate in fights.

### Table of Contents

damage() : mixed
getAttack() : int
getBuffs() : BuffList
getDefense() : int
getDisplayName() : string
getHealth() : int
getLevel() : int
getMaxHealth() : int
heal() : mixed
isAlive() : bool
setHealth() : mixed

### Methods

#### damage()

FighterInterface.php : 20
`public damage(int $damage) : mixed`

##### Parameters

$damage : int

##### Return values

mixed —

#### getAttack()

FighterInterface.php : 18
`public getAttack([bool $ignoreBuffs = false ]) : int`

##### Parameters

$ignoreBuffs : bool = false

##### Return values

int —

#### getBuffs()

FighterInterface.php : 23
`public getBuffs() : BuffList`

##### Return values

BuffList —

#### getDefense()

FighterInterface.php : 19
`public getDefense([bool $ignoreBuffs = false ]) : int`

##### Parameters

$ignoreBuffs : bool = false

##### Return values

int —

#### getDisplayName()

FighterInterface.php : 13
`public getDisplayName() : string`

##### Return values

string —

#### getHealth()

FighterInterface.php : 16
`public getHealth() : int`

##### Return values

int —

#### getLevel()

FighterInterface.php : 14
`public getLevel() : int`

##### Return values

int —

#### getMaxHealth()

FighterInterface.php : 15
`public getMaxHealth() : int`

##### Return values

int —

#### heal()

FighterInterface.php : 21
`public heal(int $heal) : mixed`

##### Parameters

$heal : int

##### Return values

mixed —

#### isAlive()

FighterInterface.php : 17
`public isAlive() : bool`

##### Return values

bool —

#### setHealth()

FighterInterface.php : 22
`public setHealth(int $amount) : mixed`

##### Parameters

$amount : int

##### Return values

mixed —

## Search results